Loading...
Searching...
No Matches
QXmppMucBookmark Class Reference

## Public Member Functions

| QXmppMucBookmark ()
| Empty constructor.
| QXmppMucBookmark (const QString &jid, const QString &name, bool autojoin, const QString &nick, const QString &password)
| Constructs with values.
| QXmppMucBookmark (const QString &jid, QXmpp::Private::Bookmarks2Conference conference)
| Constructs with values.
const QString & | jid () const
| Returns the (bare) JID of the MUC.
void | setJid (const QString &jid)
| Sets the (bare) JID of the MUC.
const QString & | name () const
| Returns the user-defined display name of the MUC.
void | setName (const QString &name)
| Sets the user-defined display name of the MUC.
const QString & | nick () const
| Returns the user's preferred nick for this MUC.
void | setNick (const QString &nick)
| Sets the user's preferred nick for this MUC.
const QString & | password () const
| Returns the required password for the MUC.
void | setPassword (const QString &password)
| Sets the required password for the MUC.
bool | autojoin () const
| Returns whether to automatically join this MUC on connection.
void | setAutojoin (bool autojoin)
| Sets whether to automatically join this MUC on connection.

## Friends

class | QXmppMucManagerV2Private

## Detailed Description

Bookmark data for a MUC room, retrieved via XEP-0402: PEP Native Bookmarks.

Since
  QXmpp 1.13

The documentation for this class was generated from the following files:

- QXmppMucManagerV2.h
- QXmppMucManagerV2.cpp